<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ValidatorPackClass xmlns:ns2="urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0" xmlns:ns3="metadata">
    <validatorName>IHE XDS.b ITI-18 Registry Stored Query - request</validatorName>
    <version>1.00</version>
    <namespaceEnum>QUERY_NAMESPACE</namespaceEnum>
    <extractNodeEnum>ADHOC_QUERY_REQUEST</extractNodeEnum>
    <listRegistryObjectMetadata>
        <ns3:id>161</ns3:id>
        <ns3:uuid>urn:uuid:51224314-5390-4169-9b91-b1980040715a</ns3:uuid>
        <ns3:name>GetSubmissionSets</ns3:name>
        <ns3:displayAttributeName>GetSubmissionSets</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$uuid</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$uuid</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>162</ns3:id>
        <ns3:uuid>urn:uuid:bab9529a-4a10-40b3-a01f-f68a615d247a</ns3:uuid>
        <ns3:name>GetDocumentsAndAssociations</ns3:name>
        <ns3:displayAttributeName>GetDocumentsAndAssociations</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryEntryUUID</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryUniqueId</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryUniqueId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>163</ns3:id>
        <ns3:uuid>urn:uuid:b909a503-523d-4517-8acf-8e5834dfc4c7</ns3:uuid>
        <ns3:name>GetFolderAndContents</ns3:name>
        <ns3:displayAttributeName>GetFolderAndContents</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderEntryUUID</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderUniqueId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderUniqueId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryFormatCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryFormatCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.4</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryConfidentialityCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryConfidentialityCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.2</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_0star</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryType</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.12</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>164</ns3:id>
        <ns3:uuid>urn:uuid:e8e3cb2c-e39c-46b9-99e4-c12f57260b83</ns3:uuid>
        <ns3:name>GetSubmissionSetAndContents</ns3:name>
        <ns3:displayAttributeName>GetSubmissionSetAndContents</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetEntryUUID</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetUniqueId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetUniqueId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryFormatCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryFormatCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.4</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryConfidentialityCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryConfidentialityCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.2</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_0star</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryType</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.12</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>165</ns3:id>
        <ns3:uuid>urn:uuid:d90e5407-b356-4d91-a89f-873917b4b0e6</ns3:uuid>
        <ns3:name>GetRelatedDocuments</ns3:name>
        <ns3:displayAttributeName>GetRelatedDocuments</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryEntryUUID</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryUniqueId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryUniqueId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryType</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.12</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$AssociationTypes</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$AssociationTypes</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>166</ns3:id>
        <ns3:uuid>urn:uuid:10cae35a-c7f9-4cf5-b61e-fc3278ffb578</ns3:uuid>
        <ns3:name>GetFoldersForDocument</ns3:name>
        <ns3:displayAttributeName>GetFoldersForDocument</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryEntryUUID</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryUniqueId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryUniqueId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>154</ns3:id>
        <ns3:uuid>urn:uuid:14d4debf-8f97-4251-9a74-a90016b0af0d</ns3:uuid>
        <ns3:name>FindDocuments</ns3:name>
        <ns3:displayAttributeName>FindDocuments</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryClassCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryClassCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.2</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryTypeCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryTypeCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.8</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryPracticeSettingCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryPracticeSettingCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.6</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryCreationTimeFrom</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryCreationTimeFrom</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryCreationTimeTo</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryCreationTimeTo</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryServiceStartTimeFrom</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryServiceStartTimeFrom</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryServiceStartTimeTo</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryServiceStartTimeTo</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryServiceStopTimeFrom</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryServiceStopTimeFrom</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryServiceStopTimeTo</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryServiceStopTimeTo</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryHealthcareFacilityTypeCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryHealthcareFacilityTypeCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.5</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryEventCodeList</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryEventCodeList</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.7</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_0star</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryConfidentialityCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryConfidentialityCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.2</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_0star</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryAuthorPerson</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryAuthorPerson</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryFormatCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryFormatCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.4</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryType</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.12</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryPatientId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryPatientId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
        <ns3:extraConstraintSpecifications kind="error" xpath="//rim:Slot[@name='$XDSDocumentEntryPatientId'] or //rim:Slot[@name='$XDSDocumentEntryPatientStatus']" description="the XDSDocumentEntryPatientId or the XDSDocumentEntryPatientStatus shall be present"/>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>155</ns3:id>
        <ns3:uuid>urn:uuid:958f3006-baad-4929-a4de-ff1114824431</ns3:uuid>
        <ns3:name>FindFolders</ns3:name>
        <ns3:displayAttributeName>FindFolders</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderLastUpdateTimeFrom</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderLastUpdateTimeFrom</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderLastUpdateTimeTo</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderLastUpdateTimeTo</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderCodeList</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderCodeList</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.10</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_0star</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderPatientId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderPatientId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSFolderStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
                <ns3:regex></ns3:regex>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>156</ns3:id>
        <ns3:uuid>urn:uuid:f26abbcb-ac74-4422-8a30-edb644bbc1a9</ns3:uuid>
        <ns3:name>FindSubmissionSets</ns3:name>
        <ns3:displayAttributeName>FindSubmissionSets</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetSourceId</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetSourceId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetSubmissionTimeFrom</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetSubmissionTimeFrom</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetSubmissionTimeTo</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetSubmissionTimeTo</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>true</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetAuthorPerson</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetAuthorPerson</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetContentType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetContentType</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.1</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetPatientId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetPatientId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>157</ns3:id>
        <ns3:uuid>urn:uuid:5c4f972b-d56b-40ac-a5fc-c8ca9b40b9d4</ns3:uuid>
        <ns3:name>GetDocuments</ns3:name>
        <ns3:displayAttributeName>GetDocuments</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryEntryUUID</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryUniqueId</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryUniqueId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>158</ns3:id>
        <ns3:uuid>urn:uuid:10b545ea-725c-446d-9b95-8aeb444eddf3</ns3:uuid>
        <ns3:name>GetAll</ns3:name>
        <ns3:displayAttributeName>GetAll</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryFormatCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryFormatCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.4</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryConfidentialityCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryConfidentialityCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.2</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_0star</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryType</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.3.12</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$patientId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$patientId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSSubmissionSetStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSSubmissionSetStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSFolderStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>159</ns3:id>
        <ns3:uuid>urn:uuid:a7ae438b-4bc2-4642-93e9-be891f7bb155</ns3:uuid>
        <ns3:name>GetAssociations</ns3:name>
        <ns3:displayAttributeName>GetAssociations</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$uuid</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$uuid</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <listRegistryObjectMetadata>
        <ns3:id>160</ns3:id>
        <ns3:uuid>urn:uuid:5737b14c-8a1a-4539-b659-e03a34a5e1e4</ns3:uuid>
        <ns3:name>GetFolders</ns3:name>
        <ns3:displayAttributeName>GetFolders</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderEntryUUID</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderEntryUUID</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSFolderUniqueId</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSFolderUniqueId3</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>Cross Gateway Query</description>
                <keyword>ITI-38</keyword>
                <name>Cross Gateway Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XCA)</labelToDisplay>
                <profile>XCA</profile>
                <keyword>IHE_XCA</keyword>
                <supportedTransactions>
                    <description>Cross Gateway Query</description>
                    <keyword>ITI-38</keyword>
                    <name>Cross Gateway Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Cross Gateway Retrieve</description>
                    <keyword>ITI-39</keyword>
                    <name>Cross Gateway Retrieve</name>
                </supportedTransactions>
            </affinity>
            <action>Cross Gateway Query (XCA profile)</action>
        </ns3:usages>
        <ns3:usages>
            <transaction>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </transaction>
            <affinity>
                <labelToDisplay>IHE (XDS.b)</labelToDisplay>
                <profile>XDS-b</profile>
                <keyword>IHE_XDS-b</keyword>
                <supportedTransactions>
                    <description>ITI-41</description>
                    <keyword>ITI-41</keyword>
                    <name>Provide and Register Document Set b</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Registry Stored Query</description>
                    <keyword>ITI-18</keyword>
                    <name>Registry Stored Query</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Retrieve Document Set</description>
                    <keyword>ITI-43</keyword>
                    <name>Retrieve Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ITI-62</description>
                    <keyword>ITI-62</keyword>
                    <name>Delete Document Set</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>Register On-Demand Document Entry</description>
                    <keyword>ITI-61</keyword>
                    <name>ITI-61</name>
                </supportedTransactions>
            </affinity>
            <action>Register Stored Query (XDS.b profile)</action>
        </ns3:usages>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <technicalFramework>IHE IT Infrastructure Technical Framework, Volume 2a (ITI TF-2a) 3.18</technicalFramework>
    <hasNistValidation>true</hasNistValidation>
    <metadataCodes>
        <nistCodeName>IHECodePath</nistCodeName>
        <url>http://ihexds.nist.gov:12080/xdsref/codes/codes.xml</url>
    </metadataCodes>
    <isR>false</isR>
    <isPnR>false</isPnR>
    <isXc>false</isXc>
    <isXdr>false</isXdr>
    <usages>
        <transaction>
            <description>Registry Stored Query</description>
            <keyword>ITI-18</keyword>
            <name>Registry Stored Query</name>
        </transaction>
        <affinity>
            <labelToDisplay>IHE (XDS.b)</labelToDisplay>
            <profile>XDS-b</profile>
            <keyword>IHE_XDS-b</keyword>
            <supportedTransactions>
                <description>ITI-41</description>
                <keyword>ITI-41</keyword>
                <name>Provide and Register Document Set b</name>
            </supportedTransactions>
            <supportedTransactions>
                <description>Registry Stored Query</description>
                <keyword>ITI-18</keyword>
                <name>Registry Stored Query</name>
            </supportedTransactions>
            <supportedTransactions>
                <description>Retrieve Document Set</description>
                <keyword>ITI-43</keyword>
                <name>Retrieve Document Set</name>
            </supportedTransactions>
            <supportedTransactions>
                <description>ITI-62</description>
                <keyword>ITI-62</keyword>
                <name>Delete Document Set</name>
            </supportedTransactions>
            <supportedTransactions>
                <description>Register On-Demand Document Entry</description>
                <keyword>ITI-61</keyword>
                <name>ITI-61</name>
            </supportedTransactions>
        </affinity>
        <action>Register Stored Query (XDS.b profile)</action>
    </usages>
</ValidatorPackClass>
